using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Telerik.Web.UI;
using System.Globalization;

using BE;
using BL;
using Utilitaria;


public partial class List_ParametrosGenerales : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Usuario"] == null)
        {
            Response.Redirect(Utilitaria.Cls_Enums.CerrarSesion.Salir);
        }
        if (!IsPostBack)
        {
            ViewState["HotelID"] =  Session["HotelID"];
            ViewState["EstablecimientoID"] = Session["EmpresaID"];
            //ViewState["tipo"] = Request.QueryString["tipo"].ToString();
            if (Request.QueryString["tipo"] == null)
            {
                ViewState["tipo"] = "1";
            }
            else
            {
                ViewState["tipo"] = Request.QueryString["tipo"].ToString();
            }
        }
    }

    private void listar_parametrosGenerales()
    {
        BEConfigTransferencias objBEConfigTransferencias = new BEConfigTransferencias();
        BLConfigTransferencias objBLConfigTransferencias = new BLConfigTransferencias();

        if (ViewState["tipo"].ToString().Trim() == "2")
        {
            tk_parametrosGenerales.Columns[2].Visible = true; // Cuentas
            tk_parametrosGenerales.Columns[3].Visible = false; // Sub Cuantas
            tk_parametrosGenerales.DataSource = objBLConfigTransferencias.fnSelCuentaVentasAll(0);
        }
        else
        {
            tk_parametrosGenerales.Columns[2].Visible = false; // Cuentas
            tk_parametrosGenerales.Columns[3].Visible = true; // Sub Cuantas
            tk_parametrosGenerales.DataSource = objBLConfigTransferencias.fnSelSubDiarioAll(0);
        }
        objBEConfigTransferencias = null;
        objBLConfigTransferencias = null;

    }

   
  
    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);


    }

    protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        if (e.Argument == "Rebind")
        {
            tk_parametrosGenerales.MasterTableView.SortExpressions.Clear();
            tk_parametrosGenerales.MasterTableView.GroupByExpressions.Clear();
            tk_parametrosGenerales.Rebind();
        }
        else if (e.Argument == "RebindAndNavigate")
        {
            tk_parametrosGenerales.MasterTableView.SortExpressions.Clear();
            tk_parametrosGenerales.MasterTableView.GroupByExpressions.Clear();
            tk_parametrosGenerales.MasterTableView.CurrentPageIndex = tk_parametrosGenerales.MasterTableView.PageCount - 1;
            tk_parametrosGenerales.Rebind();
        }
    }
    String CurrUrl;
    String par;



    protected void tk_parametrosGenerales_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        listar_parametrosGenerales();
    }
    protected void tk_parametrosGenerales_ItemDataBound(object sender, GridItemEventArgs e)
    {
       if (e.Item is GridDataItem)
        {

            GridDataItem dataItem = (GridDataItem)e.Item;


            par = "&pg=" + dataItem["parametrogeneralID"].Text.ToString() + "&tp=" + ViewState["tipo"].ToString();
            HyperLink linkItem = new HyperLink();
            linkItem.NavigateUrl = "#";
            linkItem.Text = dataItem["Referencia"].Text;
            linkItem.CssClass = "gridtext";
            linkItem.Attributes.Add("OnClick", String.Format("return ShowEditFormparametrosGenerales('{0}','{1}','{2}');", dataItem["parametrogeneralID"], e.Item.ItemIndex, par));
            dataItem["Referencia"].Controls.Add(linkItem);

        }


    }

    
    }
